package plugin

import (
	"code.fbi.h-da.de/danet/gosdn/controller/store"
)

// Store describes an interface for plugin store implementations.
type Store interface {
	Add(Plugin) error
	Update(Plugin) error
	Delete(Plugin) error
	Get(store.Query) (LoadedPlugin, error)
	GetAll() ([]LoadedPlugin, error)
}
